-- *********************************************************************************************************************
-- *                           (c) 2013 by White Elephant GmbH, Schaffhausen, Switzerland                              *
-- *                                               www.white-elephant.ch                                               *
-- *                                                                                                                   *
-- *    This program is free software; you can redistribute it and/or modify it under the terms of the GNU General     *
-- *    Public License as published by the Free Software Foundation; either version 2 of the License, or               *
-- *    (at your option) any later version.                                                                            *
-- *                                                                                                                   *
-- *    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the     *
-- *    implied warranty of MERCHANTABILITY or FITNESS for A PARTICULAR PURPOSE. See the GNU General Public License    *
-- *    for more details.                                                                                              *
-- *                                                                                                                   *
-- *    You should have received a copy of the GNU General Public License along with this program; if not, write to    *
-- *    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.                *
-- *********************************************************************************************************************
-->Style: White_Elephant

with Win;

package Message is

  subtype Color is Win.COLORREF;

  Black   : constant Color := Win.RGB (0,   0,   0);
  Magenta : constant Color := Win.RGB (192, 0,   192);

  procedure Write (The_Text       : String;
                   The_Color      : Color := Black;
                   Ensure_Visible : Boolean := True);

  procedure Write_Line (The_Text       : String;
                        The_Color      : Color := Black;
                        Ensure_Visible : Boolean := True);

end Message;
